/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Intervention Actions And Status
 */
public enum EnumCV_InterventionActionsAndStatus 
{
	// Intervention Actions And Status - CID 3412
	GUIDEWIRE_CROSSING_LESION_UNSUCCESSFUL_122301("122301"),
	GUIDEWIRE_CROSSING_LESION_SUCCESSFUL_122302("122302"),
	ANGIOPLASTY_BALLOON_INFLATED_122303("122303"),
	ANGIOPLASTY_BALLOON_DEFLATED_122304("122304"),
	DEVICE_DEPLOYED_122305("122305"),
	STENT_RE_EXPANDED_122306("122306"),
	OBJECT_REMOVED_122307("122307"),
	RADIATION_APPLIED_122308("122308"),
	RADIATION_REMOVED_122309("122309"),
	INTERVENTIONAL_DEVICE_PLACEMENT_UNSUCCESSFUL_122310("122310"),
	INTERVENTIONAL_DEVICE_PLACED_122311("122311"),
	INTERVENTION_PERFORMED_122312("122312"),
	INTERVENTIONAL_DEVICE_WITHDRAWN_122313("122313");	

	private String value;
	
	EnumCV_InterventionActionsAndStatus(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
